//============================
//    Name: Index.html
//    Desc: Main page
//============================

hdr {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color $$blue

		}
		.container {
			max-width 1400px
			display: grid;
			grid: auto / 1fr;
			align-items: center;
			justify-content: center;
			margin auto
			position relative
		}
		.container-2 {
			width: 100%;
			display none
			color: $$blue;
			grid-template-columns: repeat(5, 1fr);
			grid-auto-rows: 4rem;
			position: absolute;
			align-items: center;
			top: 99.8%;
			left: 0;
			z-index: 1;
			box-shadow: 0 30px 60px #0001;
			&:before {
				content: '';
				width: 100%;
				height: 100%;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				background-color: #f1f1f1;
				position: absolute;
				display: grid;
				z-index -1
			}
			+media(767) {
				width: auto;
				display: grid;
				margin-bottom -110%
				color: #fff;
				grid-template-columns: 1fr;
				grid-auto-rows: 4rem;
				position: unset;
				box-shadow unset
				background: #fff;
				align-items: center;
				transition margin-bottom .33s ease
				&:before {
					display none
				}
			}
		}
		.item-1 {
			display: grid;
			grid minmax(4rem, 1fr) \/ repeat(auto-fit, minmax(1rem, 1fr));
			align-items: center;
			justify-content: center;
			text-align center
			word-wrap: break-word;
			+media(767) {
				grid: minmax(4rem, 1fr)\/repeat(1, 1fr);
				align-items start
				overflow hidden
			}
		}
		.href-1 {
			color: $$white;
			height: 100%;
			align-items: center;
			display: grid;
			position relative
			transition unset
			&:before {
				content: '';
				width: 2px;
				height: 2rem;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				background-color: #5bb2f9;
				position: absolute;
				display: grid;
				right: -1px;
				z-index 4
			}
			+media(767) {
				padding 4px 16px
				&:before {
					right unset
					display none
				}
				&:active {
					background-color darken($$blue, 7)
				}
			}
			&:last-child {
				border-right 0
			}
		}
		.item-2 {
			@extend .hdr__item-1
			color: $$blue

		}
		.href-2 {
			@extend .hdr__href-1
			color: $$blue
			&:hover {
				background-color #cccccc5c
			}
			&:active {
				background-color #fff
				+media(767) {
					background-color darken(#eee, 11)
				}
			}
			&:before {
				+media(767) {
					display: grid;
					left .4rem
				}
			}
		}
		
		.links {
			display: grid;
			grid: minmax(4rem, 1fr) \/ repeat(auto-fit, minmax(1rem, 1fr));
			align-items: center;
			justify-content: center;
			text-align center
			word-wrap: break-word;
			+media(767) {
				grid: repeat(auto-fit, minmax(1rem, 1fr)) \/ minmax(4rem, 1fr);
				text-align-last left
			}
		}
	}
}

+media(767) {
	.hdr__container-2.item-true {
		display: grid;
		margin-bottom: 0;
		transition: margin-bottom .33s ease;
	}
}

@media (min-width 768px) {
	.hdr__item-1:last-child > .hdr__href-1::before {
		display none
	}
	.hdr__item-2:last-child > .hdr__href-2::before {
		display none
	}
	.hdr__item-1:hover {
		background-color #f1f1f1
		z-index 3
	}
	.hdr__item-1:hover > .hdr__href-1 {
		background-color #f1f1f1
		color: $$blue
	}
	.hdr__item-1:hover > .hdr__container-2 {
		display: grid;
	}
}

ftr {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color $$blue
		}
		.container {
			max-width 1400px
			display: grid;
			grid-template-rows: minmax(3rem, auto)
			grid-template-columns: repeat(auto-fit, minmax(1rem, 1fr));
			margin auto
		}
		.item {
			display: grid;
			align-items: center;
			justify-content: center;
			text-transform: uppercase;
			height: 7rem;
			& h1 {
				color: #f1f1f1
				letter-spacing 4px
			}
		}
	}
}

one {
	+__() {
		.section--background {
			background-size: cover;
			background-position: center center;
			background-color: #ddd;
			position: absolute;
			width: 100%;
			height: 100%;
			top: 0;
			left: 0;
			z-index: -1;
			&:before {
				content: '';
				width: 100%;
				height: 100%;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				background-color: #000;
				position: absolute;
				opacity: 0.7;
				display: grid;
			}
		}
		.container {
			max-width 1400px
			display: grid;
			width 100%
			height auto
			margin auto
			grid-template-rows: auto;
			grid-template-columns: repeat(auto-fit, minmax(1rem, 1fr));
			min-height 85vh
			align-items center
			justify-content center
		}
		.row {
			display: grid;
			grid: 1fr \/ 0.3fr 1fr;
			align-items: center;
			justify-content: center;
			background-color: #fff;
			border-radius: 1rem 1rem 1rem 1rem;
			padding: 1.25rem;
			grid-gap: 1.25rem;
			+media(767) {
				grid: 1fr / 1fr;
			}
		}
		.p {
			font-size 1rem
			margin 0
			text-align justify
		}
		.img {
			+media(767) {
				max-width 30%
			}
		}
	}
}

two {
	+__() {
		.section--background {
			@extend .one__section--background
		}
		.container {
			@extend .one__container
		}
		.row {
			@extend .one__row
		}
		.p {
			@extend .one__p
		}
		.img {
			@extend .one__img
			margin-left auto
			max-width 30%
			+media(767) {
				margin auto
			}
		}
		.item {
			grid-column: 2/2
			justify-items end
			+media(767) {
				grid-column: unset
			}
		}
	}
}

three {
	+__() {
		.section--background {
			@extend .one__section--background
		}
		.container {
			@extend .one__container
			max-width: 768px;
		}
		.row {
			@extend .one__row
			grid 1fr \/ repeat(auto-fit, minmax(10rem, 1fr));
		}
		.item {
			display: grid;
			grid-gap: 1rem;
		}
		.p {
			margin 0
			text-transform: uppercase;
		}
		.span {
			font-weight: 900;
			color: $$orange;
		}
	}
}

frm {
	+__() {
		.section--background {
			@extend .one__section--background
		}
		.container {
			@extend .one__container
			max-width: 468px;
		}
		.row {
			@extend .one__row
			grid 1fr \/ repeat(auto-fit, minmax(50%, 1fr));
			& input,
			& textarea {
				border 0
				background-color: #eee;
				bord 1rem
				padding: 0.5rem 1rem;
				resize: none
			}
			& input[type="checkbox"] {
				width 0
				height 0
				visibility hidden
			}
		}
		.h2 {
			text-transform: uppercase;
			margin: auto;
			letter-spacing: 4px;
			font-weight: 900;
			font-family fbold
			color: $$red
		}
		.chbox {
			&-span {
				grid-column: 1/3;
				align-items: start;
			}
			&-box {
				display: grid;
				width: 1rem;
				height: 1rem;
				background-color: #fff;
				border: 1px solid #ccc;
				align-items: center;
				justify-content: center;
				transition .25s __cubic
			}
			&-label {
				cursor: pointer;
				display: grid;
				grid: 1fr / auto 1fr;
				align-items: center;
				justify-content: center;
				user-select none
				grid-gap: .4rem
				&:hover {
					color: $$orange
				}
			}	
		}
		.radio {
			&-span {
				@extend .frm__chbox-span
			}
			&-label {
				@extend .frm__chbox-label
			}	
			&-box {
				@extend .frm__chbox-box
				bord 1rem
			}	
		}
	}
}

.frm-item {
		display: grid;
		grid: 1fr / 1fr;
		grid-gap: 0.3rem 0;
		&--chbox {
			grid: 1fr / 0 1fr;
			align-items: center;
			justify-content: center;
			grid-gap: 0.3rem 0;
		}
		&--radio {
			@extend .frm-item--chbox
		}
}

frm-item {
	+__() {
		.col-2 {
			grid: 1fr/ 1fr 1fr;
			align-items: center;
			justify-items: center;
		}
	}
}
 
// magic
input[type="radio"]:checked + label > i,
input[type="checkbox"]:checked + label > i {
	background-color $$orange
	border 1px solid $$orange
}

paint {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color #ddd
		}
		.container {
			max-width 1400px
			margin auto
			display: grid;
			width: 100%;
			height: 100%;
			grid-template-rows: auto;
			grid-template-columns: repeat(auto-fit, minmax(1rem, 1fr));
			min-height: 45vh;
		}
		.row {
			display: grid;
			max-width: 998px;
			width: 100%;
			grid: 1fr \/ repeat(auto-fit, minmax(10rem, 1fr));
			align-items: center;
			justify-content: center;
			margin: auto;
			grid-gap: 5rem
		}
		.item {
			min-height 24vh
			display: grid;
			align-items center
			justify-content center
			grid: auto 1fr / auto;
			text-align: center;
			& p {
				font-size 1.4rem
			}
			& span {
				font-size 0
			}
		}
		.arrow-right {
			width 100%
			height .3rem
			background-color $$blue
			position relative
			&:before {
				content: '';
				width: 0;
				height: 0;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				position: absolute;
				display: inline-grid;
				border 2rem solid $$null
				border-left-color $$blue
				border-right 0
				border-left-width: 2.5rem;
				right: 0;
				top: 50%;
				transform: translate(50%,-50%);
			}
		}
		.diamant {
			z = 0
			x = $$blue
			width 5rem
			height 5rem
			position relative
			&:before {
				content: '';
				width: z;
				height: z;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				position: absolute;
				display: inline-grid;
				border: 2rem solid #0000;
				border-left-color: x;
				border-right-color: x;
				border-right-width: 2.5rem;
				border-left-width: 2.5rem;
				right: 50%;
				top: 50%;
				transform: translate(50%, -100%);
			}
			&:after {
				@extend .paint__diamant:before
				transform: translate(50%, 0%);
			}
		}
		.cyrcle {
			x = 5rem
			width x
			height x
			border-radius 100%
			background-color $$blue
		}
	}
}
 
 
 
 

scrollup {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color #ddd
		}
		.container {
			display: grid;
			grid-template-rows: auto;
			grid-template-columns: auto;
			position: fixed;
			bottom: 5%;
			right: 5%;
			width 3rem
			height 3rem
			transition .25s __cubic
			border-radius 100%
			cursor pointer
			&:hover {
				background-color $$white
				box-shadow 0px 20px 60px #0000005e;
			}
		}
	}
}